Smart Proxy - Bug #6718

Unused IP request with virsh errors with: unable to retrive virsh info: Must define a name
07/22/2014 08:48 AM - Dominic Cleal
Description

Since #6377, unused IP requests to the proxy when using DHCP + virsh provider now result in:

E, [2014-07-22T13:45:14.192720 #25723] ERROR -- : DHCP virsh provider error: unable to retrive vir
sh info: Must define a name: {:subnet=>192.168.122.0/255.255.255.0, :ip=>"192.168.122.251", :mac=>
"52:54:00:£0:22:bf", :hostname=>nil}

127.0.0.1 - - [22/Jul/2014 13:45:14] "GET /dhcp/192.168.122.0/unused_ip?from=192.168.122.100&t0=19
2.168.122.200 HTTP/1.1"™ 400 182 0.1210

Related issues:
Related to Smart Proxy - Bug #6377: Incorrect dhcp providers server virsh.rb ... Closed 06/25/2014

History

#1 - 07/22/2014 08:48 AM - Dominic Cleal
- Related to Bug #6377 Incorrect dhcp providers server virsh.rb loadSubnetData added

#2 - 07/22/2014 10:00 AM - Lukas Zapletal
How to reproduce? WFM

D, [2014-07-22T15:59:12.265784 #14945] DEBUG —-- : Lazy loaded 192.168.122.0/255.255.255.0 records

D, [2014-07-22T15:59:12.266026 #14945] DEBUG -- : Searching for free IP - pinging 192.168.122.101

D, [2014-07-22T15:59:14.273910 #14945] DEBUG —-- : Found free IP 192.168.122.101 out of a total of 98 free IPs

::1 - - [22/Jul/2014 15:59:14] "GET /dhcp/192.168.122.0/unused_ip?from=192.168.122.100&t0=192.168.122.200 HTTP
/1.1"™ 200 24 2.0396

localhost - - [22/Jul/2014:15:59:12 CEST] "GET /dhcp/192.168.122.0/unused_ip?from=192.168.122.100&t0=192.168.1

22.200 HTTP/1.1" 200 24
- —> /dhcp/192.168.122.0/unused_ip?from=192.168.122.100&t0=192.168.122.200

#3 - 07/22/2014 10:25 AM - Dominic Cleal

Maybe it's these.. | have some DHCP reservations with no hostnames - maybe that's from before #46617? In which case | think it's still valid...

<dhcp>
<range start='192.168.122.128"' end='192.168.122.254"/>
<host mac='52:54:00:£0:22:bf"' ip='192.168.122.251"'/>
<host mac='00:1a:4a:27:a4:41"' ip='192.168.122.112"'/>
<host mac='00:1a:4a:27:a4:44"' ip='192.168.122.116"/>

#4 - 07/23/2014 10:48 AM - Lukas Zapletal
- Status changed from New to Need more information

I've just reproduced, but | am not sure if this is a bug. Just add the missing info there, virsh adds these records correctly (with the name). We can
implement a workaround that would make up a name (e.g. fixAA:BB:CC:DD:EE:FF), but | don't think we want that.

#5 - 08/11/2014 10:38 AM - Dominic Cleal

- Status changed from Need more information to Rejected
https://projects.theforeman.org/issues/6377
https://projects.theforeman.org/issues/4661

- translation missing: en.field_release deleted (10)

Hmm, | think it's still valid, but will close out for now, maybe there isn't much we can do about it - short of a larger overhaul to permit reservations
without hostnames.
